Users
Ban/delete user
Ban/delete a user account. Requires admin privileges.
DELETE
/
v1
/
users
/
{id}
Ban/delete user
curl --request DELETE \
--url https://api.synack.com/v1/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synack.com/v1/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synack.com/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"assessment_ids": [
"<string>"
],
"banned": true,
"admin": true,
"invite_url": "<string>"
}This response has no body data.This response has no body data.Authorizations
BearerAuthBasicAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
Response
Successfully banned user
e-mail address of the user
IDs of assessments the user has access to
boolean flag to indicate whether the user has been banned
boolean flag to indicate whether the user has admin privileges (only visible to admin
invitation URL (only visible to admins)
⌘I
Ban/delete user
